# Verify an existing application

> **PRERELEASE**

#### Description
Submit the redirect URIs used by an application to put it into production mode.

This endpoint may be called several times, any redirect URIs provided are
additive to the ones already present.

#### URL format
```
{data_center_url}/v1/application_verification
```

#### Example Request
```http
POST /v1/application_verification HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {API_KEY}
Content-Type: application/json; charset=utf-8

{
  "redirect_uris": [
    "https://example.com/oauth/cronofy",
    "https://example.com/oauth/enterprise_connect"
  ],
  "contact": {
    "email": "admin@example.com",
    "display_name": "Example Admin"
  }
}
```

#### Example Response
```http
HTTP/1.1 202 Accepted
Content-Type: application/json; charset=utf-8

{}
```

#### Request Parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `API_KEY` *(required)*

The `client_secret` of the application to put through verification.

##### `redirect_uris` *(required)*

An array of redirect URIs to add to the collection of those allowed to be used
as part of OAuth authorization processes.

Each value is a [`String`](/developers/api/data-types/index.md) and must have a
HTTP or HTTPS scheme. For example, `https://example.com/oauth/cronofy`.

##### `contact.email` *(required)*

The email address to contact if there are problems with the verification process
and once the process is completed as a [`String`](/developers/api/data-types/index.md).

##### `contact.display_name` *(optional)*

A friendly name to use when addressing the contact as a [`String`](/developers/api/data-types/index.md).

#### Response Parameters
Deliberately empty. Provided so future extensions would not mean a change in
`Content-Type`.



---
[Read in HTML](/developers/admin-api/verify-application/)